From: <a href="/blend/av.cgi?id=254">chris</a><BR>
Date: 7 April 2005<P>

Megs - <BR>
<BR>
"To being in love and knowing its right..."<BR>
<BR>
I'll drink to that! ;)
<HR>
From: <a href="/blend/av.cgi?id=1317">thoughtfull</a><BR>
Date: 7 April 2005<P>

chris-<BR>
<BR>
cheers then.  tip your favorite colorful drink in honor og knowing...<BR>
<BR>
*grin*<BR>
Megs
<HR>
From: <a href="/blend/av.cgi?id=1317">thoughtfull</a><BR>
Date: 7 April 2005<P>

Star of David-<BR>
Oooooooooooh that song!!! I love it.<BR>
<BR>
*Runs off to find CD*<BR>
Megs
<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 7 April 2005<P>

Star of David~<BR>
<BR>
I agree with Megs--that is such a great song!  I love that CD actually.  :)  Now I'll have to give it a listen, again! <BR>
<BR>
Love, Ali
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 7 April 2005<P>

Thanks. It's such a perfect song... and so very sad, I just can't seem to forget it.
<HR>